<template>
  <h1>Componente Divider</h1>

  <h2>Vertical</h2>
  <div class="row">
    <div class="col">
      <div class="d-flex">
        <p>Lorem ipsum dolor sit amet consectetur adipisicing elit.</p>
        <br-divider class="mx-3" vertical></br-divider>
        <p>Lorem ipsum dolor sit amet consectetur adipisicing elit.</p>
      </div>
    </div>
  </div>

  <div class="row">
    <div class="col">
      <div class="bg-secondary-07 text-secondary-01 p-3">
        <div class="d-flex">
          <p>Lorem ipsum dolor sit amet consectetur adipisicing elit.</p>
          <br-divider class="mx-3" vertical></br-divider>
          <p>Lorem ipsum dolor sit amet consectetur adipisicing elit.</p>
        </div>
      </div>
    </div>
  </div>

  <h2>Horizontal</h2>
  <div class="row">
    <div class="col">
      <p>Lorem ipsum dolor sit amet consectetur adipisicing elit.</p>
      <br-divider class="my-3"></br-divider>
      <p>Lorem ipsum dolor sit amet consectetur adipisicing elit.</p>
    </div>
  </div>

  <div class="row">
    <div class="col">
      <div class="bg-secondary-07 text-secondary-01 p-3">
        <p>Lorem ipsum dolor sit amet consectetur adipisicing elit.</p>
        <br-divider class="my-3"></br-divider>
        <p>Lorem ipsum dolor sit amet consectetur adipisicing elit.</p>
      </div>
    </div>
  </div>

  <h2>Tracejado</h2>
  <div class="row">
    <div class="col">
      <p>Lorem ipsum dolor sit amet consectetur adipisicing elit.</p>
      <br-divider dashed></br-divider>
      <p>Lorem ipsum dolor sit amet consectetur adipisicing elit.</p>
    </div>
  </div>

  <h2>Espessuras</h2>
  <div class="row">
    <div class="col">
      <h3>Small</h3>
      <p>Lorem ipsum dolor sit amet consectetur adipisicing elit.</p>
      <br-divider size="small"></br-divider>
      <p>Lorem ipsum dolor sit amet consectetur adipisicing elit.</p>
    </div>
    <div class="col">
      <h3>Medium</h3>
      <p>Lorem ipsum dolor sit amet consectetur adipisicing elit.</p>
      <br-divider size="medium"></br-divider>
      <p>Lorem ipsum dolor sit amet consectetur adipisicing elit.</p>
    </div>
    <div class="col">
      <h3>Large</h3>
      <p>Lorem ipsum dolor sit amet consectetur adipisicing elit.</p>
      <br-divider size="large"></br-divider>
      <p>Lorem ipsum dolor sit amet consectetur adipisicing elit.</p>
    </div>
  </div>
</template>
